Bildirim kanalları
GET https://tappon.bio/api/notification-handlers/
curl --request GET \
--url 'https://tappon.bio/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Metin (string) | Arama metni. |
| search_by | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Mantıksal (boolean) | |
| type | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | İsteğe bağlı Metin (string) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (string) | Bu tarih ve saatten itibaren sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| datetime_end | İsteğe bağlı Metin (string) | Bu tarih ve saate kadar sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| order_by | İsteğe bağlı Metin (string) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (string) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| search | İsteğe bağlı Metin (string) | Arama metni. |
| search_by | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: name. |
| is_enabled | İsteğe bağlı Mantıksal (boolean) | |
| type | İsteğe bağlı Metin (string) | Hangi alanda arama yapılacağı. İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | İsteğe bağlı Metin (string) | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Metin (string) | Bu tarih ve saatten itibaren sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| datetime_end | İsteğe bağlı Metin (string) | Bu tarih ve saate kadar sonuçları filtreler. Y-m-d H:i:s biçiminde. |
| order_by | İsteğe bağlı Metin (string) | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: notification_handler_id, datetime, last_datetime, name. |
| order_type | İsteğe bağlı Metin (string) | Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC. |
| page | İsteğe bağlı Tam sayı | Sonuç almak istediğiniz sayfa numarası. Varsayılan: 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına istediğiniz sonuç sayısı. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-02 03:35:19"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tappon.bio/api/notification-handlers?page=1",
"last": "https://tappon.bio/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tappon.bio/api/notification-handlers?page=1"
}
}
GET https://tappon.bio/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-02 03:35:19"
}
}
POST https://tappon.bio/api/notification-handlers
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Zorunlu Metin (string) | - |
| type | Zorunlu Metin (string) | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = email E-posta | |
| webhook | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = telegram Telegram API token'ı |
| telegram_chat_id | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = telegram Telegram sohbet ID'si |
| microsoft_teams | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = microsoft_teams Microsoft Teams webhook URL'si |
| ntfy | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = ntfy ntfy konu URL'si |
curl --request POST \
--url 'https://tappon.bio/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tappon.bio/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-02 03:35:19"
}
}
POST https://tappon.bio/api/notification-handlers/{notification_handler_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | İsteğe bağlı Metin (string) | - |
| type | İsteğe bağlı Metin (string) | İzin verilen değerler: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = email E-posta | |
| webhook | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = webhook Webhook URL'si |
| slack | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = slack Slack webhook URL'si |
| discord | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = discord Discord webhook URL'si |
| telegram | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = telegram Telegram API token'ı |
| telegram_chat_id | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = telegram Telegram sohbet ID'si |
| microsoft_teams | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = microsoft_teams Microsoft Teams webhook URL'si |
| ntfy | İsteğe bağlı Metin (string) | Kullanılabilir olduğu durum: type = ntfy ntfy konu URL'si |
| is_enabled | İsteğe bağlı Mantıksal (boolean) | - |
curl --request POST \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "[email protected]"
},
"is_enabled": 1,
"last_datetime": "2026-11-02 03:35:19",
"datetime": "2026-11-02 03:35:19"
}
}
DELETE https://tappon.bio/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tappon.bio/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \